Name:           centos-release-proposed_updates
Version:        10
Release:        1%{?dist}
Summary:        CentOS Proposed Updates SIG main repo configs

License:        GPL-2.0-or-later
URL:            https://gitlab.com/CentOS/proposed_updates/rpms/centos-release-proposed_updates
Source0:        RPM-GPG-KEY-CentOS-SIG-Proposed-Updates
Source1:        CentOS-Stream-Proposed-Updates.repo

BuildArch:      noarch

Requires:       centos-stream-repos(%{version})

%description
Configs for the CentOS Proposed Updates SIG main package repository.


%prep
# Nothing to do


%build
# Nothing to do


%install
install -d %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -p -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/
install -d %{buildroot}%{_sysconfdir}/yum.repos.d
install -p -m 644 %{SOURCE1} \
  %{buildroot}%{_sysconfdir}/yum.repos.d/


%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Proposed-Updates
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Proposed-Updates.repo


%changelog
* Thu Mar 27 2025 Michel Lind <salimma@centosproject.org> - 10-1
- Initial EL10 release

* Sun Mar 23 2025 Michel Lind <salimma@centosproject.org> - 9-1
- Initial repo definition
